Subject: Re: Oops in 2.6.21-rc4, 2.6.23

From: Jarek Poplawski <[email-masked]>
Date: Mon, 29 Oct 2007 14:13:48 +0100

On Mon, Oct 29, 2007 at 01:41:47AM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Mon, 29 Oct 2007 09:42:32 +0100
> 
> > I hope you've found this by yourself by now, but:
> > 
> > 1. These are warnings only - not oopses.
> > 2. It seems this patch you've found to be responsible for this all
> > slightly changes some limits, which is not necessarily wrong; the
> > lucky thing is you can change these limits with sysctl or some
> > echos to /proc/sys/net/ipv4/tcp_mem, I presume. (Or more safely by
> > adding some memory.)
> 
> Actually, this was caused by a real bug in the SKB_WITH_OVERHEAD macro
> definition, which Herbert Xu quickly spotted and fixed.

But, since Darko has found this other patch matters for him too, maybe
there could be more than one cause to 'blame' for such differences
from 2.6.20 (maybe it's not all yet) - especially if it's all around
some limits.

> 
> Which "I hope you've found this by yourself by now".
> 

I think it's unfair! Darko got 2 weeks for thinking about this all...

Thanks,
Jarek P.